View Issue Details

IDProjectCategoryView StatusLast Update
0003539unrealircdpublic2019-10-14 15:01
ReporterJasonTikAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS*OS Version*
Product Version3.2.7 
Target VersionFixed in Version5.0.0-alpha4 
Summary0003539: Sending empty channel messages
DescriptionIf +S is set, a message sent to the channel containing only control codes is empty. Normally an empty message isn't allowed through, but apparently the check for that is before the stripping.
TagsNo tags attached.
3rd party modules

Activities

dboyz

2015-09-30 08:19

reporter   ~0018713

We have moved channel mode +S. This should be fixed (I think).

syzop

2015-10-01 18:05

administrator   ~0018717

Easy to test... Nope, still there.

syzop

2019-10-14 15:01

administrator   ~0020967

No longer happens in 5.0.0-alph3. I changed some code related to that and made it more generic.

Issue History

Date Modified Username Field Change
2007-12-04 15:18 JasonTik New Issue
2015-08-08 16:25 syzop Status new => acknowledged
2015-09-30 08:19 dboyz Note Added: 0018713
2015-10-01 18:05 syzop Note Added: 0018717
2019-10-14 15:01 syzop Assigned To => syzop
2019-10-14 15:01 syzop Status acknowledged => resolved
2019-10-14 15:01 syzop Resolution open => fixed
2019-10-14 15:01 syzop Fixed in Version => 5.0.0-alpha4
2019-10-14 15:01 syzop Note Added: 0020967